import _extends from 'babel-runtime/helpers/extends';
import React from 'react';
import styled from 'styled-components';
import Logo from './Base';
import LogoImg from '../Static/logo.svg';

const FullLogoComponent = styled(Logo)`
  svg {
    width: ${p => p.theme.logo.full.width}px;
    height: ${p => p.theme.logo.full.height}px;
  }
`;
const FullLogo = props => React.createElement(FullLogoComponent, _extends({ src: LogoImg }, props));

FullLogo.propTypes = process.env.NODE_ENV !== "production" ? {} : {};
FullLogo.defaultProps = {};

export default FullLogo;