import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { ThemeProvider } from 'styled-components';
import theme from '../Tokens';

// Needs to be stateful component for enzyme
export default class DlThemeProvider extends Component {
  constructor(...args) {
    var _temp;

    return _temp = super(...args), this.render = () => {
      const { theme, children } = this.props;
      return React.createElement(
        ThemeProvider,
        { theme: theme },
        React.createElement(
          'div',
          null,
          children
        )
      );
    }, _temp;
  }

}
DlThemeProvider.defaultProps = {
  theme
};
DlThemeProvider.propTypes = process.env.NODE_ENV !== "production" ? {
  theme: PropTypes.object,
  children: PropTypes.node
} : {};