'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BodyComponent = undefined;

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  font-family: ', ';\n  font-size: ', 'px;\n  line-height: ', 'px;\n  padding-top: ', 'px;\n  padding-bottom: ', 'px;\n  color: ', ';\n  ', ';\n  ', ';\n'], ['\n  font-family: ', ';\n  font-size: ', 'px;\n  line-height: ', 'px;\n  padding-top: ', 'px;\n  padding-bottom: ', 'px;\n  color: ', ';\n  ', ';\n  ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

var _utils = require('../utils');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BodyComponent = exports.BodyComponent = reset.p(_templateObject, function (p) {
  return p.theme.text.body.fontFamily;
}, function (p) {
  return p.theme.text.body.fontSize;
}, function (p) {
  return p.theme.text.body.lineHeight;
}, function (p) {
  return p.theme.text.body.paddingTop;
}, function (p) {
  return p.theme.text.body.paddingBottom;
}, function (p) {
  return p.theme.text.body.color;
}, function (props) {
  return props.align && 'text-align: ' + props.align + ';';
}, function (props) {
  return props.noWrap && _utils.noWrap;
});

var Body = function Body(props) {
  return _react2.default.createElement(BodyComponent, props);
};

Body.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Set the text-align on the component.
   */
  align: _propTypes2.default.oneOf(['inherit', 'left', 'center', 'right', 'justify']),
  /**
   * The content of the component.
   */
  children: _propTypes2.default.node,
  /**
   * The content of the component.
   */
  color: _propTypes2.default.string,
  /**
   * The content of the component.
   */
  gutterBottom: _propTypes2.default.bool,
  /**
   * If `true`, the text will not wrap, but instead will truncate with an ellipsis.
   */
  noWrap: _propTypes2.default.bool
} : {};

Body.defaultProps = {
  align: 'inherit',
  color: 'default',
  gutterBottom: false,
  noWrap: false
};

exports.default = Body;