'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.button = exports.table = exports.q = exports.blockquote = exports.ul = exports.ol = exports.section = exports.nav = exports.menu = exports.hgroup = exports.header = exports.footer = exports.figure = exports.figcaption = exports.details = exports.aside = exports.article = exports.video = exports.audio = exports.mark = exports.time = exports.summary = exports.ruby = exports.output = exports.embed = exports.canvas = exports.td = exports.th = exports.tr = exports.thead = exports.tfoot = exports.tbody = exports.caption = exports.legend = exports.label = exports.form = exports.fieldset = exports.li = exports.dd = exports.dt = exports.dl = exports.center = exports.i = exports.u = exports.b = exports.tt = exports.sup = exports.sub = exports.strong = exports.strike = exports.small = exports.samp = exports.s = exports.kbd = exports.ins = exports.img = exports.em = exports.dfn = exports.del = exports.code = exports.cite = exports.big = exports.address = exports.acronym = exports.abbr = exports.a = exports.pre = exports.p = exports.h6 = exports.h5 = exports.h4 = exports.h3 = exports.h2 = exports.h1 = exports.iframe = exports.object = exports.applet = exports.span = exports.div = exports.body = exports.html = undefined;

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  margin: 0;\n  padding: 0;\n  border: 0;\n  font-size: 100%;\n  font: inherit;\n  vertical-align: baseline;\n'], ['\n  margin: 0;\n  padding: 0;\n  border: 0;\n  font-size: 100%;\n  font: inherit;\n  vertical-align: baseline;\n']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['\n  line-height: 1;\n'], ['\n  line-height: 1;\n']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['\n\tdisplay: block;\n'], ['\n\tdisplay: block;\n']),
    _templateObject4 = (0, _taggedTemplateLiteral3.default)(['\n  list-style: none;\n'], ['\n  list-style: none;\n']),
    _templateObject5 = (0, _taggedTemplateLiteral3.default)(['\n  quotes: none;\n  &:before, &:after {\n    content: \'\';\n    content: none;\n  }\n'], ['\n  quotes: none;\n  &:before, &:after {\n    content: \'\';\n    content: none;\n  }\n']),
    _templateObject6 = (0, _taggedTemplateLiteral3.default)(['\n  border-collapse: collapse;\n  border-spacing: 0;\n'], ['\n  border-collapse: collapse;\n  border-spacing: 0;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var htmlStyle = _styledComponents2.default.html(_templateObject);
var html = exports.html = (0, _styledComponents2.default)(htmlStyle);
var body = exports.body = (0, _styledComponents2.default)(htmlStyle.withComponent('body').extend(_templateObject2));
var div = exports.div = (0, _styledComponents2.default)(htmlStyle.withComponent('div'));
var span = exports.span = (0, _styledComponents2.default)(htmlStyle.withComponent('span'));
var applet = exports.applet = (0, _styledComponents2.default)(htmlStyle.withComponent('applet'));
var object = exports.object = (0, _styledComponents2.default)(htmlStyle.withComponent('object'));
var iframe = exports.iframe = (0, _styledComponents2.default)(htmlStyle.withComponent('iframe'));
var h1 = exports.h1 = (0, _styledComponents2.default)(htmlStyle.withComponent('h1'));
var h2 = exports.h2 = (0, _styledComponents2.default)(htmlStyle.withComponent('h2'));
var h3 = exports.h3 = (0, _styledComponents2.default)(htmlStyle.withComponent('h3'));
var h4 = exports.h4 = (0, _styledComponents2.default)(htmlStyle.withComponent('h4'));
var h5 = exports.h5 = (0, _styledComponents2.default)(htmlStyle.withComponent('h5'));
var h6 = exports.h6 = (0, _styledComponents2.default)(htmlStyle.withComponent('h6'));
var p = exports.p = (0, _styledComponents2.default)(htmlStyle.withComponent('p'));
var pre = exports.pre = (0, _styledComponents2.default)(htmlStyle.withComponent('pre'));
var a = exports.a = (0, _styledComponents2.default)(htmlStyle.withComponent('a'));
var abbr = exports.abbr = (0, _styledComponents2.default)(htmlStyle.withComponent('abbr'));
var acronym = exports.acronym = (0, _styledComponents2.default)(htmlStyle.withComponent('acronym'));
var address = exports.address = (0, _styledComponents2.default)(htmlStyle.withComponent('address'));
var big = exports.big = (0, _styledComponents2.default)(htmlStyle.withComponent('big'));
var cite = exports.cite = (0, _styledComponents2.default)(htmlStyle.withComponent('cite'));
var code = exports.code = (0, _styledComponents2.default)(htmlStyle.withComponent('code'));
var del = exports.del = (0, _styledComponents2.default)(htmlStyle.withComponent('del'));
var dfn = exports.dfn = (0, _styledComponents2.default)(htmlStyle.withComponent('dfn'));
var em = exports.em = (0, _styledComponents2.default)(htmlStyle.withComponent('em'));
var img = exports.img = (0, _styledComponents2.default)(htmlStyle.withComponent('img'));
var ins = exports.ins = (0, _styledComponents2.default)(htmlStyle.withComponent('ins'));
var kbd = exports.kbd = (0, _styledComponents2.default)(htmlStyle.withComponent('kbd'));
var s = exports.s = (0, _styledComponents2.default)(htmlStyle.withComponent('s'));
var samp = exports.samp = (0, _styledComponents2.default)(htmlStyle.withComponent('samp'));
var small = exports.small = (0, _styledComponents2.default)(htmlStyle.withComponent('small'));
var strike = exports.strike = (0, _styledComponents2.default)(htmlStyle.withComponent('strike'));
var strong = exports.strong = (0, _styledComponents2.default)(htmlStyle.withComponent('strong'));
var sub = exports.sub = (0, _styledComponents2.default)(htmlStyle.withComponent('sub'));
var sup = exports.sup = (0, _styledComponents2.default)(htmlStyle.withComponent('sup'));
var tt = exports.tt = (0, _styledComponents2.default)(htmlStyle.withComponent('tt'));
// export const var = styled(htmlStyle.withComponent(`var`));
var b = exports.b = (0, _styledComponents2.default)(htmlStyle.withComponent('b'));
var u = exports.u = (0, _styledComponents2.default)(htmlStyle.withComponent('u'));
var i = exports.i = (0, _styledComponents2.default)(htmlStyle.withComponent('i'));
var center = exports.center = (0, _styledComponents2.default)(htmlStyle.withComponent('center'));
var dl = exports.dl = (0, _styledComponents2.default)(htmlStyle.withComponent('dl'));
var dt = exports.dt = (0, _styledComponents2.default)(htmlStyle.withComponent('dt'));
var dd = exports.dd = (0, _styledComponents2.default)(htmlStyle.withComponent('dd'));
var li = exports.li = (0, _styledComponents2.default)(htmlStyle.withComponent('li'));
var fieldset = exports.fieldset = (0, _styledComponents2.default)(htmlStyle.withComponent('fieldset'));
var form = exports.form = (0, _styledComponents2.default)(htmlStyle.withComponent('form'));
var label = exports.label = (0, _styledComponents2.default)(htmlStyle.withComponent('label'));
var legend = exports.legend = (0, _styledComponents2.default)(htmlStyle.withComponent('legend'));
var caption = exports.caption = (0, _styledComponents2.default)(htmlStyle.withComponent('caption'));
var tbody = exports.tbody = (0, _styledComponents2.default)(htmlStyle.withComponent('tbody'));
var tfoot = exports.tfoot = (0, _styledComponents2.default)(htmlStyle.withComponent('tfoot'));
var thead = exports.thead = (0, _styledComponents2.default)(htmlStyle.withComponent('thead'));
var tr = exports.tr = (0, _styledComponents2.default)(htmlStyle.withComponent('tr'));
var th = exports.th = (0, _styledComponents2.default)(htmlStyle.withComponent('th'));
var td = exports.td = (0, _styledComponents2.default)(htmlStyle.withComponent('td'));
var canvas = exports.canvas = (0, _styledComponents2.default)(htmlStyle.withComponent('canvas'));
var embed = exports.embed = (0, _styledComponents2.default)(htmlStyle.withComponent('embed'));
var output = exports.output = (0, _styledComponents2.default)(htmlStyle.withComponent('output'));
var ruby = exports.ruby = (0, _styledComponents2.default)(htmlStyle.withComponent('ruby'));
var summary = exports.summary = (0, _styledComponents2.default)(htmlStyle.withComponent('summary'));
var time = exports.time = (0, _styledComponents2.default)(htmlStyle.withComponent('time'));
var mark = exports.mark = (0, _styledComponents2.default)(htmlStyle.withComponent('mark'));
var audio = exports.audio = (0, _styledComponents2.default)(htmlStyle.withComponent('audio'));
var video = exports.video = (0, _styledComponents2.default)(htmlStyle.withComponent('video'));

/* HTML5 display-role reset for older browsers */
var articleStyle = htmlStyle.withComponent('article').extend(_templateObject3);
var article = exports.article = (0, _styledComponents2.default)(articleStyle);
var aside = exports.aside = (0, _styledComponents2.default)(articleStyle.withComponent('aside'));
var details = exports.details = (0, _styledComponents2.default)(articleStyle.withComponent('details'));
var figcaption = exports.figcaption = (0, _styledComponents2.default)(articleStyle.withComponent('figcaption'));
var figure = exports.figure = (0, _styledComponents2.default)(articleStyle.withComponent('figure'));
var footer = exports.footer = (0, _styledComponents2.default)(articleStyle.withComponent('footer'));
var header = exports.header = (0, _styledComponents2.default)(articleStyle.withComponent('header'));
var hgroup = exports.hgroup = (0, _styledComponents2.default)(articleStyle.withComponent('hgroup'));
var menu = exports.menu = (0, _styledComponents2.default)(articleStyle.withComponent('menu'));
var nav = exports.nav = (0, _styledComponents2.default)(articleStyle.withComponent('nav'));
var section = exports.section = (0, _styledComponents2.default)(articleStyle.withComponent('section'));

var olStyle = htmlStyle.withComponent('ol').extend(_templateObject4);
var ol = exports.ol = (0, _styledComponents2.default)(olStyle);
var ul = exports.ul = (0, _styledComponents2.default)(olStyle.withComponent('ul'));

var blockquoteStyle = htmlStyle.withComponent('blockquote').extend(_templateObject5);
var blockquote = exports.blockquote = (0, _styledComponents2.default)(blockquoteStyle);
var q = exports.q = (0, _styledComponents2.default)(blockquoteStyle.withComponent('q'));

var table = exports.table = (0, _styledComponents2.default)(htmlStyle.withComponent('table').extend(_templateObject6));

var button = exports.button = _styledComponents2.default.button;